Description

/home/foreman/git/foreman/lib/foreman/http_proxy/excon_connection_extension.rb:20:in `<top (requir

ed)>': uninitialized constant Excon (NameError)

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:

14:in `block in loading'

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/concurrency/share_lock.rb:

151:in `exclusive'

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:

13:in `loading'

    from /home/foreman/git/foreman/lib/foreman/http_proxy.rb:64:in `<top (required)>'

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:

14:in `block in loading'

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/concurrency/share_lock.rb:

151:in `exclusive'

    from /home/foreman/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:

13:in `loading'

    from /home/foreman/git/foreman/config/application.rb:62:in `<top (required)>'

    from /opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `requ

ire'

    from /opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `requ

ire'

    from ./script/dynflowd:69:in `block in <main>'

    from ./script/dynflowd:67:in `chdir'

    from ./script/dynflowd:67:in `<main>'

 seeing this error on latest nightly

History

#1 - 09/25/2018 09:32 AM - Lukas Zapletal

- Tracker changed from Bug to Support

- Subject changed from uninitialized constant Excon (NameError) to Uninitialized constant Excon (NameError)

- Status changed from New to Feedback

Cannot reproduce during start, is there anything I need to do in order to see this, e.g. VMWare action?

#2 - 09/25/2018 05:42 PM - Ohad Levy

- Status changed from Feedback to New

are you actually starting dynflow ? its pretty easy to reproduce on production env?

#3 - 09/26/2018 02:24 PM - Marek Hulán

- Tracker changed from Support to Bug

- Status changed from New to Need more information
Just finished installing nightly from rpms. Where should I observe the error? Could you provide some reproducing steps? All seems operational. I can

share the box if that helps.

#4 - 09/26/2018 02:26 PM - Marek Hulán

Given the nature of the bug, listing deps version you have might help, IIRC this feature relies on fog and rest client to monkey patch some code. It

may be that I can't reproduce since I use gems we package, your setup seems to be from git. I don't see the error on my develop checkout in

production evn with dynflow either though.

#5 - 09/27/2018 05:56 PM - Anonymous

I'm unsure if it's related, but I'm getting this with the current staging DEBs:

Sep 27 19:50:30 sledge dynflowd[829]: /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require':

 cannot load such file -- active_support/dependencies (LoadError)

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:

in `require'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/share/foreman/config/boot.rb:7:in `<top (required)>'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:

in `require'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/share/foreman/config/application.rb:4:in `<top (requir

ed)>'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:

in `require'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/bin/dynflowd:69:in `block in <main>'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/bin/dynflowd:67:in `chdir'

Sep 27 19:50:30 sledge dynflowd[829]:         from /usr/bin/dynflowd:67:in `<main>'

#6 - 10/01/2018 06:56 AM - Lukas Zapletal

Ohad, good quality tickets please :-)

Michael, I think it's not related but this looks similar to the issue when we introduced Bootsnap and I was trying to boot it without bundler.

#7 - 02/26/2019 07:44 PM - Marek Hulán

- Status changed from Need more information to Feedback
